MetaModels Workshop in Berlin
Ergebnis 1 bis 9 von 9

Thema: Paketaktualisierung erzeugt "500 Internal Server Error"

  1. #1
    Contao-Nutzer Avatar von Drive
    Registriert seit
    18.08.2013.
    Ort
    Dresden
    Beiträge
    110

    Fehler Paketaktualisierung erzeugt "500 Internal Server Error"

    Hallo zusammen,

    ich habe seit dem letzten Update ein Problem mit dem Composer.
    Die Paketaktualisierung erzeugt einen "Internal Server Error".

    PHP 7.1.17
    memory_limit: 1280 MB
    max_execution_time: 900
    Contao 3.5.34

    Code:
    {
        "name": "local/website",
        "description": "A local website project",
        "type": "project",
        "license": "proprietary",
        "require": {
            "codefog/contao-cookiebar": ">=1.3.1.0,<1.4-dev",
            "contao-community-alliance/composer-client": "~0.16.6",
            "contao-legacy/autoregistration": "~1.3",
            "contao-legacy/backupdb": "~3.2",
            "delahaye/dlh_googlemaps": ">=2.2.0.0,<2.3-dev",
            "dklemmt/contao_dk_mmenu": ">=1.5.1.0,<1.6-dev",
            "isotope/isotope-core": ">=2.5.1.0,<2.6-dev",
            "jrgregory/m17-sticky-backend-footer": ">=2.0.6.0,<2.1-dev",
            "terminal42/contao-fineuploader": ">=2.0.1.0,<2.1-dev",
            "terminal42/contao-inserttags": ">=1.9.2.0,<1.10-dev",
            "terminal42/contao-mailusername": ">=1.0.6.0,<1.1-dev"
        },
        "prefer-stable": true,
        "minimum-stability": "stable",
        "config": {
            "preferred-install": "dist",
            "cache-dir": "cache",
            "component-dir": "../assets/components"
        },
        "repositories": [
            {
                "type": "composer",
                "url": "https://legacy-packages-via.contao-community-alliance.org/"
            },
            {
                "type": "composer",
                "url": "https://legacy-packages-via.contao-community-alliance.org"
            },
            {
                "type": "artifact",
                "url": "packages"
            }
        ],
        "extra": {
            "contao": {
                "migrated": "done"
            }
        }
    }
    Code:
    [client 94.101.0.0] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: https://www.domain.de/contao/main.php?do=composer
    [client 94.101.0.0] Premature end of script headers: main.php, referer: https://www.domain.de/contao/main.php?do=composer
    Hat da jemand einen Tipp für mich? Vielen Dank.
    Diese Signatur ist in deinem Land leider nicht verfügbar!

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Verwendest du den detached mode?

  3. #3
    Contao-Nutzer Avatar von Drive
    Registriert seit
    18.08.2013.
    Ort
    Dresden
    Beiträge
    110

    Standard

    Nein, soll ich unter Einstellungen umstellen auf detached?
    Ich mach das mal...
    Diese Signatur ist in deinem Land leider nicht verfügbar!

  4. #4
    Contao-Nutzer Avatar von Drive
    Registriert seit
    18.08.2013.
    Ort
    Dresden
    Beiträge
    110

    Standard

    So, jetzt kommt:
    Code:
    Fatal error: Allowed memory size of 1610612736 bytes exhausted (tried to allocate 72 bytes) in phar:///var/www/vhosts/domain.de/httpdocs/composer/composer.phar/src/Composer/DependencyResolver/Rule2Literals.php on line 53
    1,6 GB ist schon ganz schön viel. Ist das normal?
    Diese Signatur ist in deinem Land leider nicht verfügbar!

  5. #5
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    13.577
    User beschenken
    Wunschliste

    Standard

    Versuch mal, in den Einstellungen der Paketverwaltung die minimale Stabilität auf "Stabil" zu stellen (falls das nicht ohnehin bereits der Fall ist).

    Und ein Update auf Contao 3.5.35 solltest Du ebenfalls in Betracht ziehen.

    Nachtrag: Laut composer.json scheint das aber bereits so eingestellt zu sein:
    Code:
        "prefer-stable": true,
        "minimum-stability": "stable",
    Geändert von xchs (29.05.2018 um 11:09 Uhr)
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  6. #6
    Contao-Nutzer Avatar von Drive
    Registriert seit
    18.08.2013.
    Ort
    Dresden
    Beiträge
    110

    Standard

    Okay, minimale Stabilität steht auf "Stabil".
    Memory Limit steht jetzt auf 10GB.
    Jetzt kommt die nächste Fehlermeldung:

    Code:
    Problem 1
        - contao-community-alliance/composer-client 0.16.x-dev requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.6 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.5 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.4 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.6 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - Installation request for contao-community-alliance/composer-client ~0.16.4 -> satisfiable by contao-community-alliance/composer-client[0.16.4, 0.16.5, 0.16.6, 0.16.x-dev].
    Habe aber eigentlich PHP 7.1.17 eingestellt.
    Diese Signatur ist in deinem Land leider nicht verfügbar!

  7. #7
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.410
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Ja, das ist dann das beliebte Spielchen, dass die Kommandozeile eine andere PHP-Version verwendet als der Webserver.

    Schau mal, ob Dein Anbieter Dir die Pfade zu den verschiedenen Versionen sagen kann. Die trägst Du dann beim Composer ein.

  8. #8
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Drive Beitrag anzeigen
    Okay, minimale Stabilität steht auf "Stabil".
    Memory Limit steht jetzt auf 10GB.
    Jetzt kommt die nächste Fehlermeldung:

    Code:
    Problem 1
        - contao-community-alliance/composer-client 0.16.x-dev requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.6 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.5 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.4 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - contao-community-alliance/composer-client 0.16.6 requires php >=5.3.4 -> your PHP version (5.3.3) does not satisfy that requirement.
        - Installation request for contao-community-alliance/composer-client ~0.16.4 -> satisfiable by contao-community-alliance/composer-client[0.16.4, 0.16.5, 0.16.6, 0.16.x-dev].
    Habe aber eigentlich PHP 7.1.17 eingestellt.
    Du musst den richtigen Pfad zu der richtigen PHP CLI angeben in den Einstellungen.

  9. #9
    Contao-Nutzer Avatar von Drive
    Registriert seit
    18.08.2013.
    Ort
    Dresden
    Beiträge
    110

    Daumen hoch

    Ja, stimmt der Pfad lautet bei mir /opt/plesk/php/7.1/bin/php
    Jetzt funktioniert wieder alles einwandfrei.
    Vielen Dank nochmal an alle für die Hilfe.
    Diese Signatur ist in deinem Land leider nicht verfügbar!

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •